Bug 854690 - Review Request: python-dslib - A Python library for accessing Czech Databox (Datové schránky)
Review Request: python-dslib - A Python library for accessing Czech Databox (...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Synacek
Fedora Extras Quality Assurance
:
: 648898 (view as bug list)
Depends On: 854679
Blocks: 854691
  Show dependency treegraph
 
Reported: 2012-09-05 10:54 EDT by Jaroslav Škarvada
Modified: 2012-12-20 10:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:35:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jsynacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Škarvada 2012-09-05 10:54:15 EDT
Spec URL: http://fedorapeople.org/~jskarvad/datovka/python-dslib.spec
SRPM URL: http://fedorapeople.org/~jskarvad/datovka/python-dslib-2.1.2-1.fc17.src.rpm
Description: dslib is a Python library for accessing a 'Databox' - an electronic
communication interface endorsed by the Czech government.
Fedora Account System Username: jskarvad

It is used by Datovka (interface to Czech Databox AKA Datové schránky).
Comment 1 Jan Synacek 2012-09-13 07:47:38 EDT
I can see only a minor typo on line 30 in the specfile: {buildroot} -> %{buildroot}.
Comment 2 Jaroslav Škarvada 2012-09-17 11:04:16 EDT
(In reply to comment #1)
> I can see only a minor typo on line 30 in the specfile: {buildroot} ->
> %{buildroot}.

Thanks for catching this, new versions:
Spec URL: http://fedorapeople.org/~jskarvad/datovka/python-dslib.spec
SRPM URL: http://fedorapeople.org/~jskarvad/datovka/python-dslib-2.1.2-2.fc17.src.rpm
Comment 3 Jan Synacek 2012-09-24 07:12:53 EDT
I can see no other problems. Approving.
Comment 4 Jaroslav Škarvada 2012-09-24 08:43:10 EDT
New Package SCM Request
=======================
Package Name: python-dslib
Short Description: A Python library for accessing Czech Databox (Datové schránky)
Owners: jskarvad
Branches: f17 f18
InitialCC:
Comment 5 Gwyn Ciesla 2012-09-24 08:57:46 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-09-25 11:55:41 EDT
datovka-2.1.2-2.fc18,python-dslib-2.1.2-2.fc18,python-sudsds-1.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/datovka-2.1.2-2.fc18,python-dslib-2.1.2-2.fc18,python-sudsds-1.0-2.fc18
Comment 7 Fedora Update System 2012-09-25 11:58:21 EDT
python-sudsds-1.0-2.fc17,python-dslib-2.1.2-2.fc17,datovka-2.1.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-sudsds-1.0-2.fc17,python-dslib-2.1.2-2.fc17,datovka-2.1.2-2.fc17
Comment 8 Fedora Update System 2012-09-26 05:08:52 EDT
python-sudsds-1.0-2.fc17, python-dslib-2.1.2-2.fc17, datovka-2.1.2-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Petr Pisar 2012-10-01 10:57:26 EDT
Original review bug #648898 python-dslib has been stuck because of bundling suds and pyasn1. You can find more details there. Please check the libraries have been unbundled properly.

I also recall the (or dsgui) sources bundled X.509 certificate of an authority used by ISDS server.
Comment 10 Jaroslav Škarvada 2012-10-01 11:01:41 EDT
(In reply to comment #9)
> Original review bug #648898 python-dslib has been stuck because of bundling
> suds and pyasn1. You can find more details there. Please check the libraries
> have been unbundled properly.
> 
Upstream debundled to python-sudsds and python-pyasn1, see python-sudsds review. The python-sudsds solution is temporal, we are working on the merge with our suds, but it will take some time (again see python-sudsds review). Feel free to help us with this.
Comment 11 Petr Pisar 2012-10-08 08:39:26 EDT
*** Bug 648898 has been marked as a duplicate of this bug. ***
Comment 12 Fedora Update System 2012-12-20 10:35:59 EST
datovka-2.1.2-2.fc18, python-dslib-2.1.2-2.fc18, python-sudsds-1.0-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.